summaryrefslogtreecommitdiffstats
path: root/tests/su/10_su_sulog_success/su.test
diff options
context:
space:
mode:
Diffstat (limited to 'tests/su/10_su_sulog_success/su.test')
-rwxr-xr-xtests/su/10_su_sulog_success/su.test40
1 files changed, 40 insertions, 0 deletions
diff --git a/tests/su/10_su_sulog_success/su.test b/tests/su/10_su_sulog_success/su.test
new file mode 100755
index 0000000..79beb18
--- /dev/null
+++ b/tests/su/10_su_sulog_success/su.test
@@ -0,0 +1,40 @@
+#!/bin/sh
+
+set -e
+
+cd $(dirname $0)
+
+. ../../common/config.sh
+. ../../common/log.sh
+
+log_start "$0" "su can be used to switch to a non-root user"
+
+
+# no testsuite password
+# root password: rootF00barbaz
+# myuser password: myuserF00barbaz
+
+save_config
+
+# restore the files on exit
+trap 'log_status "$0" "FAILURE"; restore_config' 0
+
+change_config
+
+./run_su.exp myuser myuserF00barbaz '$ '
+
+echo -n "Check /var/log/sulog..."
+wc -l /var/log/sulog > tmp/sulog
+d=$(date +"SU %m/%d %H:%M")
+cat /var/log/sulog | \
+ egrep -v "$d \+ /dev/pts/[0-9]* root-testsuite" | \
+ egrep -v "$d \+ /dev/pts/[0-9]* testsuite-myuser" \
+ >> tmp/sulog || true
+diff -auN tmp/sulog data/sulog
+echo "OK"
+rm -f tmp/sulog
+
+log_status "$0" "SUCCESS"
+restore_config
+trap '' 0
+